<bugID>595330<Summary>Blindly clicking on top left corner of maximized window should activate Firefox menu button</Summary><Description>The Firefox button has a difference from native Win7 caption buttons, if I click on the top right of a maximized window, the close btton is pressed, even if it's not under my mouse, the clickable area extends to the right till the screen side.

The same should be for the Firefox menu button, so that I don't have to aim at it, but I can just quickly move to the top-left of the screen and click.</Description></bugID>